public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyasn1/
Date: Sat, 30 Sep 2017 15:29:59 +0000 (UTC)	[thread overview]
Message-ID: <1506785393.032309d72f75e765256a3988367ed7eeaef9ffa9.patrick@gentoo> (raw)

commit:     032309d72f75e765256a3988367ed7eeaef9ffa9
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 30 15:26:27 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Sep 30 15:29:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=032309d7

dev-python/pyasn1: Bump

Package-Manager: Portage-2.3.10, Repoman-2.3.3

 dev-python/pyasn1/Manifest            |  1 +
 dev-python/pyasn1/pyasn1-0.3.6.ebuild | 43 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/pyasn1/Manifest b/dev-python/pyasn1/Manifest
index df0ecb4c9fd..1f262944f32 100644
--- a/dev-python/pyasn1/Manifest
+++ b/dev-python/pyasn1/Manifest
@@ -1,2 +1,3 @@
 DIST pyasn1-0.1.8.tar.gz 75676 SHA256 5d33be7ca0ec5997d76d29ea4c33b65c00c0231407fff975199d7f40530b8347 SHA512 0a0b9b8018ae80a0e0d84ea3a4f217951bf42dce909a354c97890d4b4fc4f49b19d9d0757103ac9002c17c6c622c8e8d66e1f8242b8545a7da455ef3583acdfa WHIRLPOOL db46e06ef9a6b5858c07f1c154657f998b509c457395b4f2e6286ea90e1b16346e24d92a8d666b5db4216e35129f2d6be13c2fc11aae2d9936163bff3b1400eb
 DIST pyasn1-0.2.3.tar.gz 100099 SHA256 66c70011074ed6f5a74591591a9f0bed4bc2c2a45baef60f8dcc89ab5da11b9d SHA512 c55b95c1995f2fc36ec28f35837ca456a2fac06e90edc6491a3335ae949e4eacbbeb14f6289a17e994b49d4dc60870bba3e79344c44496d5547c38ab1ef183ab WHIRLPOOL d74142002096d49914e8b15a425764a08c02a43326b9ca1511f4e316fd025c0ce9333c748e010794fe788416b38aa7a1e3460c346524200ba4bd3836297d405c
+DIST pyasn1-0.3.6.tar.gz 117506 SHA256 3a263cea3e15f459b1e97b1f7d3840b890eeb29eddaf480203a2929a651c5968 SHA512 0857b957bd29f999858869e02ee84ec86aae6362229da14b47f4c54f1358632d161e417325e0e2cec8a3fa293f52156d703481dac872e7f323e317cf14197dce WHIRLPOOL 84fe36d176482ea296e9434ae17faf6b1bc58667fb7102855e51c8427da81777e80ad3306e50d35ef95b03f15460ff1cf38c83e5adbe436f5588778a023f57f7

diff --git a/dev-python/pyasn1/pyasn1-0.3.6.ebuild b/dev-python/pyasn1/pyasn1-0.3.6.ebuild
new file mode 100644
index 00000000000..386b3f4ad63
--- /dev/null
+++ b/dev-python/pyasn1/pyasn1-0.3.6.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="ASN.1 library for Python"
+HOMEPAGE="http://pyasn1.sourceforge.net/ https://pypi.python.org/pypi/pyasn1"
+SRC_URI="https://github.com/etingof/pyasn1/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+# The required doc/source/conf.py file is missing from the pypi:
+# https://github.com/etingof/pyasn1/issues/35
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_test() {
+	esetup.py test || die "Tests fail with ${EPYTHON}"
+}
+
+src_compile() {
+	if use doc; then
+		python_setup
+		esetup.py build_sphinx
+	fi
+	distutils-r1_src_compile
+}
+
+src_install() {
+	local HTML_DOCS
+	use doc && HTML_DOCS=( build/sphinx/html/. )
+
+	distutils-r1_src_install
+}


             reply	other threads:[~2017-09-30 15:30 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-30 15:29 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-15 13:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyasn1/ Michał Górny
2024-11-16  8:19 Michał Górny
2024-11-16  8:09 Michał Górny
2024-10-30 15:16 Michał Górny
2024-08-31  4:42 Sam James
2024-05-09 18:52 Michał Górny
2024-04-11 19:04 Michał Górny
2024-04-11 16:01 Sam James
2024-03-27  3:37 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-21  4:44 Michał Górny
2023-05-27 11:14 Sam James
2023-05-23 16:08 Michał Górny
2023-05-23 15:45 Arthur Zamarin
2023-04-20  3:12 Michał Górny
2022-06-13  8:25 Michał Górny
2022-06-13  7:07 Agostino Sarubbo
2022-05-11 21:05 Michał Górny
2022-05-11 21:05 Michał Górny
2021-05-22 10:52 Michał Górny
2021-05-07 10:52 Michał Górny
2020-12-11 12:45 Michał Górny
2020-09-20 13:11 Michał Górny
2020-05-25 19:27 Michał Górny
2020-05-11 17:48 Michał Górny
2020-05-11 15:32 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-03-28 17:07 Michał Górny
2020-03-28 17:07 Michał Górny
2020-03-28 17:07 Michał Górny
2020-03-25 15:42 Agostino Sarubbo
2020-03-25 14:17 Agostino Sarubbo
2020-03-14  1:36 Patrick McLean
2019-11-16 13:53 Michał Górny
2019-04-13 22:41 Matthew Thode
2019-04-12  5:01 Tim Harder
2018-05-23 10:31 Mike Frysinger
2018-02-21 20:18 Michał Górny
2017-10-19  8:20 Tim Harder
2017-08-05  8:55 Michael Palimaka
2017-08-05  8:48 Michael Palimaka
2017-08-04  4:30 Markus Meier
2017-07-15 15:17 Tobias Klausmann
2017-06-24 21:59 Sergei Trofimovich
2017-05-03 11:41 Michał Górny
2017-04-04 22:07 Zac Medico
2016-06-21  2:47 Mike Frysinger
2015-11-07 23:28 Mikle Kolyada
2015-11-05 10:58 Agostino Sarubbo
2015-11-04 14:48 Agostino Sarubbo
2015-10-17 11:02 Markus Meier
2015-10-11 11:25 Justin Lecher
2015-09-30  3:36 Jeroen Roovers
2015-09-29 12:33 Agostino Sarubbo
2015-09-29 12:32 Agostino Sarubbo
2015-09-29  7:28 Justin Lecher
2015-09-28 15:27 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1506785393.032309d72f75e765256a3988367ed7eeaef9ffa9.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox